org.apache.hadoop.hdfs.protocol

## Class SnapshotDiffReport

- java.lang.Object
- - org.apache.hadoop.hdfs.protocol.SnapshotDiffReport

-     public class SnapshotDiffReport
      extends Object

  This class represents to end users the difference between two snapshots of the same directory, or the difference between a snapshot of the directory and its current state. Instead of capturing all the details of the diff, this class only lists where the changes happened and their types.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SnapshotDiffReport.DiffReportEntry` Representing the full path and diff type of a file/directory where changes have happened.
    `static class` | `SnapshotDiffReport.DiffType` Types of the difference, which include CREATE, MODIFY, DELETE, and RENAME.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SnapshotDiffReport(String snapshotRoot, String fromSnapshot, String toSnapshot, List<SnapshotDiffReport.DiffReportEntry> entryList)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<SnapshotDiffReport.DiffReportEntry>` | `getDiffList()`
    `String` | `getFromSnapshot()`
    `String` | `getLaterSnapshotName()`
    `String` | `getSnapshotRoot()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SnapshotDiffReport

          public SnapshotDiffReport(String snapshotRoot,
                                    String fromSnapshot,
                                    String toSnapshot,
                                    List<SnapshotDiffReport.DiffReportEntry> entryList)

  - ### Method Detail

    - #### getSnapshotRoot

          public String getSnapshotRoot()

      Returns:
        `snapshotRoot`

    - #### getFromSnapshot

          public String getFromSnapshot()

      Returns:
        `fromSnapshot`

    - #### getLaterSnapshotName

          public String getLaterSnapshotName()

      Returns:
        `toSnapshot`

    - #### getDiffList

          public List<SnapshotDiffReport.DiffReportEntry> getDiffList()

      Returns:
        `diffList`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.